package com.lantu.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author cyf
 * @since 2023-11-15
 */
@TableName("x_equip")
@ApiModel(value = "Equip对象", description = "")
public class Equip implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private String form;
    private String focal;
    private Integer status;
    private Integer deleted;
    private String x1;
    private String x2;
    private String x3;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    public String getForm() {
        return form;
    }

    public void setForm(String form) {
        this.form = form;
    }
    public String getFocal() {
        return focal;
    }

    public void setFocal(String focal) {
        this.focal = focal;
    }
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }
    public String getx1() {
        return x1;
    }

    public void setx1(String x1) {
        this.x1 = x1;
    }
    public String getx2() {
        return x2;
    }

    public void setx2(String x2) {
        this.x2 = x2;
    }
    public String getx3() {
        return x3;
    }

    public void setx3(String x3) {
        this.x3 = x3;
    }

    @Override
    public String toString() {
        return "Equip{" +
            "id=" + id +
            ", form=" + form +
            ", focal=" + focal +
            ", status=" + status +
            ", deleted=" + deleted +
            ", x1=" + x1 +
            ", x2=" + x2 +
            ", x3=" + x3 +
        "}";
    }
}
